#
# spec file for package virtualbox-ose (Version 3.0.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           virtualbox-ose
%define kernel_version %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`)
%define _vbox_instdir  %{_exec_prefix}/lib/virtualbox
# openSUSE 11.1 and newer contains the right permissions files already
%if %suse_version < 1110
%define do_permissions 1
%else
%define do_permissions 0
%endif
BuildRequires:  fdupes
%if %suse_version > 1110
BuildRequires:  acpica dmidecode
%else
BuildRequires:  pmtools
%endif
BuildRequires:  bin86 dev86 libidl-devel libqt4-devel libxslt-devel yasm
BuildRequires:  SDL-devel kernel-syms module-init-tools
BuildRequires:  e2fsprogs-devel libcap-devel libcurl-devel python-devel update-desktop-files
%if %suse_version <= 1030
BuildRequires:  compat-libstdc++
%endif
BuildRequires:  hal-devel pulseaudio-devel xorg-x11-devel
BuildRequires:  kbuild udev
# is needed only as owner of xorg/modules directory
BuildRequires:  xorg-x11-server-sdk
%ifarch amd64 x86_64 ia32e em64t
BuildRequires:  gcc-32bit hal-32bit
BuildRequires:  xorg-x11-libX11-devel-32bit xorg-x11-libXt-devel-32bit xorg-x11-libs-32bit
BuildRequires:  libgcc-32bit xorg-x11-libXext-devel-32bit xorg-x11-libXmu-devel-32bit
%if %suse_version == 1030
BuildRequires:  libstdc++42-devel-32bit
%endif
%if %suse_version > 1030
%if %suse_version > 1110
BuildRequires:  libstdc++44-devel-32bit
%else
BuildRequires:  libstdc++43-devel-32bit
%endif
%endif
# ifarch
%endif
#
ExclusiveArch:  %ix86 x86_64
Version:        3.0.6
Release:        9.11.2
Summary:        VirtualBox OSE is an Emulator
License:        GPLv2+
Group:          System/Emulators/PC
Url:            http://www.virtualbox.org/
#
# WARNING: This is not a comment, but the real command to repack souce:
#%(sh %{_sourcedir}/virtualbox-patch-source VirtualBox-%{version}_OSE.tar.bz2)
Source0:        VirtualBox-3.0.6-OSE-patched.tar.bz2
Source2:        60-vboxdrv.rules
Source3:        README.SUSE
Source4:        virtualbox.desktop
Source5:        60-vboxadd.rules
Source7:        LocalConfig.kmk
Source8:        preamble
Source9:        virtualbox-ose.easy
Source10:       virtualbox-ose.secure
Source11:       default.virtualbox
Source99:       virtualbox-patch-source
#
Patch0:         vbox-futex.diff
Patch3:         vbox-kmp-vboxvfs.diff
Patch4:         %{name}-init-scripts.diff
Patch6:         virtualbox-gcc43-fixes.diff
Patch9:         virtualbox-system-yasm.diff
Patch10:        vbox-2.6.25.diff
Patch14:        vbox-kbuild_unit_paths.diff
Patch16:        virtualbox-ose-disable-updates.diff
Patch17:        virtualbox-ose-sudo-tmpdir.diff
Patch18:        vbox-swab_2.6.29_header.diff
#PATCH-FIX-OPENSUSE implement messagebox (VBoxPermissionMessage app), which is.displayed, when user
#try to start VirtualBox and is not memeber of vboxusers group
Patch19:        virtualbox-ose-permissions_warning.diff
#PATCH-FIX-UPSTREAM use VBoxNEtAdpCtl.cpp from upstream svn which fix security problems with popen and strncpy (see bnc#533550)
Patch20:        vbox-VBoxNetAdpCtl.diff
#PATCH-FIX-UPSTREAM guest can trigger denial-of-service at host system bnc#556031 CVE-2009-3940
Patch21:        vbox-denial-of-service-fix.diff
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         pwdutils permissions
Requires:       kmp(virtualbox-ose) = %version
Provides:       virtualbox <= 1.5.4
Obsoletes:      virtualbox <= 1.5.4
#
%suse_kernel_module_package -p %{SOURCE8} kdump um xen xenpae

%description
VirtualBox OSE is an extremely feature rich, high performance product
for enterprise customers, it is also the only professional solution
that is freely available as Open Source Software under the terms of the
GNU Public License (GPL).



Authors:
--------
    innotek GmbH <info@innotek.de>

%package KMP
License:        GPLv2+
Summary:        Kernel Module for VirtualBox
Group:          System/Emulators/PC
Obsoletes:      virtualbox-kmp
Provides:       virtualbox-kmp

%description KMP
This package contains the kernel-module for VirtualBox OSE.



Authors:
--------
    innotek GmbH <info@innotek.de>

%package -n xorg-x11-driver-virtualbox-ose
License:        GPLv2+
Summary:        VirtualBox X11 drivers for mouse and video
Group:          System/X11/Servers/XF86_4
Requires:       virtualbox-ose-kmp
Supplements:    modalias(pci:v000080EEd0000BEEFsv*sd*bc*sc*i*)
Provides:       xorg-x11-driver-virtualbox <= %version
Obsoletes:      xorg-x11-driver-virtualbox < %version

%description -n xorg-x11-driver-virtualbox-ose
X.org X11 VirtualBox video and mouse driver.



Authors:
--------
    innotek GmbH <info@innotek.de>

%package guest-tools
License:        GPLv2+
Summary:        VirtualBox guest tools
Group:          System/Emulators/PC
Requires:       virtualbox-ose-kmp
Supplements:    modalias(pci:v000080EEd0000BEEFsv*sd*bc*sc*i*)

%description guest-tools
VirtualBox guest addition tools.



Authors:
--------
    innotek GmbH <info@innotek.de>

%prep
%setup -q -n VirtualBox-3.0.6_OSE
%ifarch amd64 x86_64 ia32e em64t
# this patch0 is taken from mandriva (i just adapt it to fit
# to the latest virtualbox-ose package)
# http://cvs.mandriva.com/cgi-bin/viewvc.cgi/contrib-SPECS/virtualbox/VirtualBox-OSE-1.3.4-futex.patch?view=log
%patch0
%patch3
%endif
%patch4
%patch6
%patch9
%patch10 -p1
%patch14
%patch16
%patch17
%if %suse_version >= 1110
%patch18
%endif
%patch19
%patch20
%patch21 -p1
%__cp %{SOURCE7} .

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
# this fixes a XEN-issue on %%suse_version >= 1020 (some headers won't
# work which is due to some ifdef CONFIG_XEN stuff (see apicdef.h for
# instance)
#%__mkdir linux
#%__cat /usr/src/linux/include/linux/autoconf.h | \
#    %__sed 's/#define CONFIG_XEN 1//g' > linux/autoconf.h
%__sed -i 's|@vboxinstdir@|%{_vbox_instdir}|' LocalConfig.kmk
./configure \
    --with-linux=/usr/src/linux-obj/%{_target_cpu}/default \
    $EXTRA_OPTS
/usr/bin/kmk \
    KBUILD_VERBOSE=2 \
    VBOX_LINUX_SRC=/usr/src/linux-obj/%{_target_cpu}/default \
    all
for mod in out/linux.*/release/bin/src/vboxdrv \
           out/linux.*/release/bin/src/vboxnetflt \
           out/linux.*/release/bin/src/vboxnetadp \
           out/linux.*/release/bin/additions/src/vboxadd \
           out/linux.*/release/bin/additions/src/vboxvfs \
           out/linux.*/release/bin/additions/src/vboxvideo_drm
do
    pushd $mod
    %__mkdir obj
    echo "flavors_to_build: %{flavors_to_build}"
    for flavor in %flavors_to_build; do
      %__rm -rf obj/$flavor
      %__mkdir obj/$flavor
      for i in * ; do
        test $i = obj && continue
        %__cp -r $i obj/$flavor/
      done
      # make kbuild happy - a cleaner solution might be a toplevel Makefile
      # see linux/Documentation/kbuild/modules.txt section 7.3
      test $(basename $mod) = "vboxnetflt" && %__cp ../vboxdrv/obj/$flavor/Module.symvers obj/$flavor
      test $(basename $mod) = "vboxnetadp" && %__cp ../vboxdrv/obj/$flavor/Module.symvers obj/$flavor
      test $(basename $mod) = "vboxvfs" && %__cp ../vboxadd/obj/$flavor/Module.symvers obj/$flavor
      %__make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor xPWD=$(pwd) xARCH=%{_target_cpu}
    done
    popd
done

%install
# virtualbox kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
k=%kernel_version
kernel_version_=${k%%-*}
for mod in out/linux.*/release/bin/src/vboxdrv \
           out/linux.*/release/bin/src/vboxnetflt \
           out/linux.*/release/bin/src/vboxnetadp \
           out/linux.*/release/bin/additions/src/vboxadd \
           out/linux.*/release/bin/additions/src/vboxvfs \
           out/linux.*/release/bin/additions/src/vboxvideo_drm
do
    pushd $mod
    for flavor in %flavors_to_build; do
        %__make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor
        %__mkdir_p %{buildroot}/lib/modules/${kernel_version_}-$flavor/updates
    done
    popd
done
# virtualbox xorg-x11 guest additions
pushd out/linux.*/release/bin/additions/
%__install -d -m 755 %{buildroot}%{_libdir}/xorg/modules/drivers
%__install -d -m 755 %{buildroot}%{_libdir}/xorg/modules/input
%if %suse_version > 1110
   %__install -m 755 vboxmouse_drv_16.so %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
   %__install -m 755 vboxvideo_drv_16.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%else
  %if %suse_version == 1110
    %__install -m 755 vboxmouse_drv_15.so %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
    %__install -m 755 vboxvideo_drv_15.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
  %else
    %if %suse_version >= 1100
      %__install -m 755 vboxmouse_drv_14.so %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
      %__install -m 755 vboxvideo_drv_14.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
    %else
      %if %suse_version > 1030
        %__install -m 755 vboxmouse_drv_13.so %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
        %__install -m 755 vboxvideo_drv_13.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
      %else
        %__install -m 755 vboxmouse_drv_71.so %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
        %__install -m 755 vboxvideo_drv_71.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
      %endif
    %endif
  %endif
%endif
# create init scripts directory
%__install -d -m 755 %{buildroot}%{_sysconfdir}/init.d
# create directory for VBox interfaces
%__install -d -m 755 %{buildroot}%{_sysconfdir}/vbox
# create vbox.cfg
%__cat > %{buildroot}%{_sysconfdir}/vbox/vbox.cfg << EOF
# virtualbox configuration file
INSTALL_DIR="%{_vbox_instdir}"
EOF
# virtualbox guest tools
%__install -d -m 755 %{buildroot}%{_bindir}
%__install -d -m 755 %{buildroot}/sbin
%__install -m 755 VBoxClient %{buildroot}%{_bindir}
%__install -m 755 mountvboxsf %{buildroot}/sbin/mount.vboxsf
popd
pushd src/VBox/Additions/linux/installer
%__install -m 744 vboxadd.sh %{buildroot}%{_sysconfdir}/init.d/vboxadd
popd
pushd src/VBox/Additions/x11/Installer
%__install -d -m 755 %{buildroot}%{_datadir}/virtualbox
%__install -m 744 x11config.pl %{buildroot}%{_datadir}/virtualbox/x11config.pl
%__install -m 744 x11restore.pl %{buildroot}%{_datadir}/virtualbox/x11restore.pl
popd
# copy the main files to %{_vbox_instdir}
pushd out/linux.*/release/bin
%__install -d -m 755 %{buildroot}%{_vbox_instdir}
%__install -m 755 VBox* %{buildroot}%{_vbox_instdir}
%__install -m 755 VirtualBox* %{buildroot}%{_vbox_instdir}
#%__install -m 755 xpidl %{buildroot}%{_vbox_instdir}
#%__install -m 644 *.xpt %{buildroot}%{_vbox_instdir}
%__install -m 644 *.gc %{buildroot}%{_vbox_instdir}
%__install -m 644 *.r0 %{buildroot}%{_vbox_instdir}
%__cp -R components/ %{buildroot}%{_vbox_instdir}
%__rm %{buildroot}%{_vbox_instdir}/VBox.png
%__rm %{buildroot}%{_vbox_instdir}/tst*
# install languages
%__cp -R nls %{buildroot}%{_datadir}/virtualbox
popd
#copy VBoxOGL* libs for xorg-x11-driver-virtualbox-ose
pushd out/linux.*/release/bin/additions
%__install -m 644 VBoxOGL.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLarrayspu.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLcrutil.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLerrorspu.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLfeedbackspu.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLpackspu.so %{buildroot}%{_libdir}
%__install -m 644 VBoxOGLpassthroughspu.so %{buildroot}%{_libdir}
popd
#make link for dri lib
%__install -d -m 755 %{buildroot}%{_libdir}/dri/
%__ln_s %{_libdir}/VBoxOGL.so %{buildroot}%{_libdir}/dri/vboxvideo_dri.so
# install dir for udev rule
%__install -d -m 755 %{buildroot}%{_sysconfdir}/udev/rules.d
# install udev rule for host (virtualbox-ose)
%__install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/udev/rules.d
# install udev rule for guest (virtualbox-ose-guest-tools)
%__install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/udev/rules.d
# install the README.SUSE file
%__install -d -m 755 %{buildroot}%{_docdir}/%{name}
%__install -m 644 %{SOURCE3} %{buildroot}%{_docdir}/%{name}
%if %do_permissions
# install permission files for the VirtualBox binaries
%__install -d -m 755 %{buildroot}%{_sysconfdir}/permissions.d
%__install -m 644 %{SOURCE9} %{buildroot}%{_sysconfdir}/permissions.d/virtualbox-ose.easy
%__sed -i 's|@vboxinstdir@|%{_vbox_instdir}|g' %{buildroot}%{_sysconfdir}/permissions.d/virtualbox-ose.easy
%__install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/permissions.d/virtualbox-ose.secure
%__sed -i 's|@vboxinstdir@|%{_vbox_instdir}|g' %{buildroot}%{_sysconfdir}/permissions.d/virtualbox-ose.secure
%endif
# create a menu entry
%__install -d -m 755 %{buildroot}%{_datadir}/applications
%__install -d -m 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 out/linux.*/release/bin/VBox.png %{buildroot}%{_datadir}/pixmaps/virtualbox.png
# copy the init scripts
%__install -m 744 src/VBox/Installer/linux/vboxdrv.sh.in %{buildroot}%{_sysconfdir}/init.d/vboxdrv
# create wrapper scripts
for file in VBoxManage VBoxHeadless VBoxSDL VBoxSVC VirtualBox; do
   %__cat > %{buildroot}%{_bindir}/$file << EOF
#!/bin/bash
export QT_NO_KDE_INTEGRATION=1
LD_LIBRARY_PATH="%{_vbox_instdir}\${LD_LIBRARY_PATH:+:\$LD_LIBRARY_PATH}" %{_vbox_instdir}/$file "\$@"
EOF
#check if used is memeber of vboxusers group or is root, if not show messagebox with warning
   test $file = 'VirtualBox' && sed -i '3i /usr/bin/id -nG | grep -v -e \"root\" -e \"vboxusers\" >/dev/null && %{_vbox_instdir}/VBoxPermissionMessage && exit' %{buildroot}%{_bindir}/$file
   %__chmod +x %{buildroot}%{_bindir}/$file
done
%__ln_s %{_vbox_instdir}/VBoxTunctl %{buildroot}%{_bindir}/VBoxTunctl
%__cp %{SOURCE4} %{name}.desktop
%suse_update_desktop_file -i %{name} System Emulator
%__install -d -m 755 %{buildroot}%{_sbindir}
# install config with session shutdown defs
%__install -d -m 755 %{buildroot}%{_sysconfdir}/default/
%__install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/default/virtualbox
# install init script which start VBoxClient daemon (support for clipboard,autoresize,seamless windows)
%__install -d -m 755 %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d
%__install -m 755 src/VBox/Additions/x11/Installer/98vboxadd-xclient %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/vboxadd-xclient.sh
# install script which handle dynamic display changes
%__install -m 755 src/VBox/Additions/x11/Installer/VBoxRandR.sh %{buildroot}%{_bindir}/VBoxRandR
# install hal policy file to autodetect the virtualbox mouse
%__install -d -m 755 %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/
%__install -m 644 src/VBox/Additions/linux/installer/90-vboxguest.fdi %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/90-vboxguest.fdi
# create rc symlinks
for file in vboxdrv vboxadd; do
    %__ln_s %{_sysconfdir}/init.d/$file %{buildroot}%{_sbindir}/rc$file
done
###
### generate SaX2/hwinfo data
###
%__mkdir_p $RPM_BUILD_ROOT/%{_datadir}/sax/sysp/maps/update/ \
         $RPM_BUILD_ROOT/%{_datadir}/sax/api/data/cdb/ \
         $RPM_BUILD_ROOT/%{_var}/lib/hardware/ids
NAME="InnoTek Systemberatung GmbH"
DEVICE="VirtualBox Graphics Adapter"
VID=0x80ee
DID=0xbeef
SERVER=vboxvideo
PROFILE=
SVID=
SDID=
%__cat > $RPM_BUILD_ROOT/%{_datadir}/sax/sysp/maps/update/Identity.map.xorg-x11-driver-virtualbox-ose << EOF
NAME=${NAME}&DEVICE=${DEVICE}&VID=${VID}&DID=${DID}&SERVER=${SERVER}&EXT=&OPT=&RAW=&PROFILE=${PROFILE}&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT&SUBVENDOR=${SVID}&SUBDEVICE=${SDID}
EOF
%__cat > $RPM_BUILD_ROOT/%{_datadir}/sax/api/data/cdb/Cards.xorg-x11-driver-virtualbox-ose << EOF
${NAME}:${DEVICE} {
 Driver    = ${SERVER}
}
EOF
%__cat > $RPM_BUILD_ROOT/%{_var}/lib/hardware/ids/xorg-x11-driver-virtualbox-ose << EOF
 vendor.id              pci ${VID}
&device.id              pci ${DID}
+device.name            ${DEVICE}
+driver.xfree           4|${SERVER}
EOF
%fdupes %{buildroot}/%{_datadir}/virtualbox/nls
%fdupes %{buildroot}/%{_bindir}

%pre
echo "creating group vboxusers..."
groupadd -r vboxusers 2>/dev/null || :

%post
/sbin/ldconfig
%fillup_and_insserv -f -y vboxdrv
%run_permissions

%post -n xorg-x11-driver-virtualbox-ose
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%post guest-tools
%fillup_and_insserv -f -y vboxadd

%preun
%stop_on_removal vboxdrv
exit 0

%preun guest-tools
%stop_on_removal vboxadd 
exit 0

%postun
/sbin/ldconfig
%restart_on_update vboxdrv
%insserv_cleanup

%postun -n xorg-x11-driver-virtualbox-ose
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%postun guest-tools
%restart_on_update vboxadd
%insserv_cleanup
%verifyscript
%if %suse_version > 1110
%verify_permissions -e %{_vbox_instdir}/VBoxBFE -e %{_vbox_instdir}/VBoxHeadless -e %{_vbox_instdir}/VBoxSDL -e %{_vbox_instdir}/VirtualBox -e %{_vbox_instdir}/VBoxNetAdpCtl
%else
%verify_permissions -e %{_vbox_instdir}/VBoxBFE -e %{_vbox_instdir}/VBoxHeadless -e %{_vbox_instdir}/VBoxSDL -e %{_vbox_instdir}/VirtualBox
%endif

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.SUSE
%{_bindir}/VBoxManage
%{_bindir}/VBoxHeadless
%{_bindir}/VBoxSDL
%{_bindir}/VBoxSVC
%{_bindir}/VBoxTunctl
%{_bindir}/VirtualBox
%dir %{_vbox_instdir}
%dir %{_vbox_instdir}/components
%{_vbox_instdir}/VBox*.sh
%{_vbox_instdir}/VBox*.so
%{_vbox_instdir}/VirtualBox*.so
%{_vbox_instdir}/VBox*.gc
%{_vbox_instdir}/VBox*.r0
%{_vbox_instdir}/VMMGC.gc
%{_vbox_instdir}/VMMR0.r0
%{_vbox_instdir}/VBoxManage
%{_vbox_instdir}/VBoxSVC
%{_vbox_instdir}/VBoxTunctl
%{_vbox_instdir}/VBoxNetDHCP
%{_vbox_instdir}/VBoxXPCOMIPCD
%{_vbox_instdir}/VBoxTestOGL
%{_vbox_instdir}/VBoxPermissionMessage
%{_vbox_instdir}/components/*.so
%{_vbox_instdir}/components/*.xpt
%verify(not mode) %attr(0755,root,vboxusers) %{_vbox_instdir}/VBoxNetAdpCtl
%verify(not mode) %attr(0755,root,vboxusers) %{_vbox_instdir}/VBoxBFE
%verify(not mode) %attr(0755,root,vboxusers) %{_vbox_instdir}/VBoxHeadless
%verify(not mode) %attr(0755,root,vboxusers) %{_vbox_instdir}/VBoxSDL
%verify(not mode) %attr(0755,root,vboxusers) %{_vbox_instdir}/VirtualBox
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/virtualbox.png
%dir %{_datadir}/virtualbox
%dir %{_datadir}/virtualbox/nls
%{_datadir}/virtualbox/nls/*.qm
%dir %{_sysconfdir}/vbox
%config %{_sysconfdir}/vbox/vbox.cfg
%config %{_sysconfdir}/default/virtualbox
%{_sysconfdir}/udev/rules.d/60-vboxdrv.rules
%{_sysconfdir}/init.d/vboxdrv
%{_sbindir}/rcvboxdrv
%if %do_permissions
%{_sysconfdir}/permissions.d/virtualbox-ose.easy
%{_sysconfdir}/permissions.d/virtualbox-ose.secure
%endif

%files -n xorg-x11-driver-virtualbox-ose
%defattr(-, root, root)
%dir %{_libdir}/xorg/modules/drivers
%dir %{_libdir}/xorg/modules/input
%dir %{_datadir}/virtualbox
%dir %{_datadir}/sax
%dir %{_datadir}/sax/api
%dir %{_datadir}/sax/api/data
%dir %{_datadir}/sax/api/data/cdb
%dir %{_datadir}/sax/sysp
%dir %{_datadir}/sax/sysp/maps
%dir %{_datadir}/sax/sysp/maps/update
%dir %{_var}/lib/hardware
%dir %{_var}/lib/hardware/ids
%dir %{_libdir}/dri/
%dir %{_datadir}/hal/fdi/policy/20thirdparty/
%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%{_libdir}/xorg/modules/input/vboxmouse_drv.so
%{_var}/lib/hardware/ids/xorg-x11-driver-virtualbox-ose
%{_datadir}/sax/api/data/cdb/Cards.xorg-x11-driver-virtualbox-ose
%{_datadir}/sax/sysp/maps/update/Identity.map.xorg-x11-driver-virtualbox-ose
%{_libdir}/VBoxOGL*.so
%{_libdir}/dri/vboxvideo_dri.so
%{_datadir}/hal/fdi/policy/20thirdparty/90-vboxguest.fdi

%files guest-tools
%defattr(-, root, root)
%{_bindir}/VBoxRandR
%{_bindir}/VBoxClient
/sbin/mount.vboxsf
%{_sbindir}/rcvboxadd
%{_sysconfdir}/X11/xinit/xinitrc.d/vboxadd-xclient.sh
%{_sysconfdir}/init.d/vboxadd
%dir %{_datadir}/virtualbox
%{_datadir}/virtualbox/x11config.pl
%{_datadir}/virtualbox/x11restore.pl
%{_sysconfdir}/udev/rules.d/60-vboxadd.rules

%changelog
* Wed Nov 18 2009 mseben@novell.com
- added denial-of-service-fix.diff : (CVE-2009-3940) guest can trigger
  denial-of-service at host system (bnc#556031)
* Thu Oct 15 2009 mseben@novell.com
- fixed security issue with empty LD_LIBRARY_PATH in wrappers (bnc#448246)
* Fri Oct  9 2009 mseben@novell.com
- fix build (corrected 60-vboxadd.rules)
* Thu Oct  8 2009 mseben@novell.com
- added udev rules file 60-vboxadd.rules for guest system (bnc#541196)
* Thu Oct  8 2009 mseben@novell.com
- added checks for setuid on VBoxNetAdpCtl (bnc#533550)
* Mon Oct  5 2009 mseben@novell.com
- added VBoxNetAdpCtl.diff : use VBoxNetAdpCtl.cpp from upstream svn
  which fix security problems with popen and strncpy (see bnc#533550)
* Thu Oct  1 2009 mseben@novell.com
- fix permissions for VBoxRandR and vboxadd-xclient
* Tue Sep 29 2009 mseben@novell.com
- moved hal policy file 90-vboxguest.fdi to hal/fdi/policy instead
  of hal/fdi/information
* Thu Sep 24 2009 mseben@novell.com
- added 90-vboxguest.fdi for hal policy, to autodetect the virtualbox
  mouse (thanks to Tejas Guruswamy)
- added permissions_warning.diff - implements messagebox, which is
  displayed, when user try to start VirtualBox and is not a member
  of vboxusers group
* Tue Sep 22 2009 mseben@novell.com
- added VBoxRandR to guest-tools - support for dynamic display changes (autoresize)
- added vboxadd-xclient.sh to guest-tools - allow automatically start
  VBoxClient with support for shared clipboard, autoresize and seamless window
* Mon Sep 14 2009 mseben@novell.com
- rewritten init-scripts.diff (bnc#537793) and added
  /etc/default/virtualbox config, which allow configure type of
  session shutdown (thanks to Dennis Olsson)
* Thu Sep 10 2009 mseben@novell.com
- updated to 3.0.6
  * VMM: fixed IO-APIC overhead for 32 bits Windows NT, 2000, XP and 2003 guests (AMD-V only; bug #4392)
  * VMM: fixed a Guru meditation under certain circumstances when enabling a disabled device (bug #4510)
  * VMM: fixed a Guru meditation when booting certain Arch Linux guests (software virtualization only; bug #2149)
  * VMM: fixed hangs with 64 bits Solaris & OpenSolaris guests (bug #2258)
  * VMM: fixed decreasing rdtsc values (AMD-V & VT-x only; bug #2869)
  * VMM: small Solaris/OpenSolaris performance improvements (VT-x only)
  * VMM: cpuid change to correct reported virtual CPU id in Linux
  * VMM: NetBSD 5.0.1 CD hangs during boot (VT-x only; bug #3947)
  * Solaris hosts: worked around an issue that caused the host to hang (bug #4486)
  * Solaris hosts: fixed a rare host system deadlock when using bridged networking
  * Solaris hosts: fixed a potential host system deadlock when CPUs were onlined or offlined
  * Solaris hosts installer: added missing dependency for UTF-8 package (bug #4899)
  * Linux hosts: don't crash on Linux PAE kernels < 2.6.11 (in particular RHEL/CentOS 4); disable VT-x on Linux kernels < 2.6.13 (bug #1842)
  * Linux/Solaris hosts: correctly detect keyboards with fewer keys than usual (bug #4799)
  * Mac OS X hosts: prevent password dialogs in 32 bits Snow Leopard
  * Python WS: fixed issue with certain enumerations constants having wrong values in Python webservices bindings
  * Python API: several threading and platform issues fixed
  * Python shell: added exportVM command
  * Python shell: various improvements and bugfixes
  * Python shell: corrected detection of home directory in remote case
  * OVF: fixed XML comment handling that could lead to parser errors
  * Main: fixed a rare parsing problem with port numbers of USB device filters in machine settings XML
  * Main: restrict guest RAM size to 1.5 GB (32 bits Windows hosts only)
  * Main: fixed possible hang during guest reboot (bug #3792)
  * GUI: fixed rare crash when removing the last disk from the media manager (bug #4795)
  * VBoxManage: fixed setting guest properties with --flags or -flags
  * Webservice: fixed a severe memory leak, at least on platforms using XPCOM
  * Serial: fixed host mode (Solaris, Linux and Mac OS X hosts; bug #4672)
  * VRDP: Remote USB Protocol version 3
  * SATA: fixed hangs and BSODs introduced with 3.0.4 (bugs #4695, #4739, #4710)
  * SATA: fixed a bug which prevented Windows 7 from detecting more than one hard disk
  * SATA/SCSI: fixed rare random guest crashes and hangs
  * SCSI: fixed problem with Fedora 11 refusing to boot after kernel update
  * iSCSI: fix logging out when the target has dropped the connection, fix negotiation of simparameters, fix command resend when the connection was dropped, fix processing SCSI status for targets which do not use phase collapse
  * BIOS: fixed a bug that caused the OS/2 boot manager to fail (2.1.0 regression, bug #3911)
  * PulseAudio: don't hang during VM termination if the connection to the server was unexpectedly terminated (bug #3100)
  * Mouse: fixed weird mouse behaviour with SMP (Solaris) guests (bug #4538)
  * HostOnly Network: fixed failure in CreateHostOnlyNetworkInterface() on Linux (no GUID)
  * HostOnly Network: fixed wrong DHCP server startup while hostonly interface bringup on Linux
  * HostOnly Network: fixed incorrect factory and default MAC address on Solaris
  * HostOnly Network: fixed the problem with listing host-only interfaces on Mac OS X when all physical interfaces are down (bugs #4698, #4790)
  * DHCP: fixed a bug in the DHCP server where it allocated one IP address less than the configured range
  * E1000: fixed receiving of multicast packets
  * E1000: fixed up/down link notification after resuming a VM
  * NAT: fixed ethernet address corruptions (bug #4839)
  * NAT: fixed hangs, dropped packets and retransmission problems (bug #4343)
  * Bridged Network: fixed packet queue issue which might cause DRIVER_POWER_STATE_FAILURE BSOD for Windows hosts (bug #4821)
  * Windows Additions: fixed a bug in VBoxGINA which prevented selecting the right domain when logging in the first time
  * Shared clipboard: do not send zero-terminated text to X11 guests and hosts (bug #4712)
  * Shared clipboard: use a less CPU intensive way of checking for new data on X11 guests and hosts (bug #4092)
  * Guest Additions: do not hide the host mouse cursor when restoring a saved state (bug #4700)
  * Windows guests: fixed issues with the display of the mouse cursor image (bugs #2603, #2660 and #4817)
  * SUSE 11 guests: fixed Guest Additions installation (bug #4506)
  * Guest Additions: support Fedora 12 Alpha guests (bugs #4731, #4733 and #4734)
- drop deprecated pa-interface_change.diff
* Mon Sep  7 2009 mseben@novell.com
- added pa-interface_change.diff to fix interface change in PulseAudio
* Sun Aug 23 2009 mseben@novell.com
- added vboxvideo.ko kernel module to virtualbox-ose-kmp-*
- added VBoxOGL libraries to xorg-x11-driver-virtualbox-ose
* Mon Aug 17 2009 suse-tux@gmx.de
- fixed typo in the vboxadd init script and updated virtualbox-ose-init-scripts.diff
  (bnc#530271)
* Fri Aug 14 2009 mseben@suse.cz
- fix quote symbol (") in vboxdrv.rules (bnc#528310)
* Thu Aug  6 2009 mseben@suse.cz
- updated to 3.0.4
  * VMM: 64 bits guest stability fixes (AMD-V only; bugs #3923 & #3666)
  * VMM: SMP stability fixes (AMD-V only)
  * VMM: SMP performance improvement (esp. for Solaris guests)
  * VMM: eliminated several bugs which could lead to a host reboot
  * VMM: fixed OS/2 ACP2 boot floppy hang (VT-x only)
  * VMM: small performance improvement for OpenSolaris guests (AMD-V only)
  * VMM: fixed CentOS/Xen reboot (software virtualization only; bug #4509)
  * SATA: fixed hangs / BSOD during Windows XP installation (bug #4342)
  * SATA: mark the ports as non hotpluggable (bug #3920)
  * 3D support: fix deadlocks and context/window tracking for multithreaded applications (bug #3922)
  * 3D support: fix memory leaks when terminating OpenGL guest applications
  * 3D support: fix crash in Call of Duty
  * NAT: using two or more NAT adapters in one VM was broken (3.0.0 regression)
  * NAT: fixed network communication corruptions (bugs #4499, #4540, #4591, #4604)
  * NAT: fixed passive ftp access to host server (bug #4427)
  * iSCSI: fixed cloning to/from iSCSI disks
  * GUI: fixed path separator handling for the OVF export on Windows (bug #4354)
  * GUI: the mini toolbar was only shown on the first host display (bug #4654)
  * GUI: added a VM option to display the mini toolbar on top
  * GUI: don’t crash when adding plus configuring host-only network interfaces
  * Shared Folders: fixed selection of a drive root directory as a shared folder host path in VirtualBox (Windows host only)
  * USB: fixed a bug that may have rendered USB devicefilter settings inactive (3.0.2 regression, bug #4668)
  * Guest Additions: report the Guest Additions version to the guest properties (bug #3415)
  * Linux hosts: fixed problems leading to wrong colors or transparency in host windows with some graphics drivers (bug #3095)
  * Linux hosts: hardware detection fallbacks if the hal service fails to find any DVD drives.
  * Linux and Solaris hosts: Work around color handling problems in Qt (bug #4353)
  * Solaris Installer: fixed incorrect netmask for Host-only interface (bug #4590)
  * Solaris Installer: added package dependency for Python and Python-devel (bug #4570)
  * X11 guests: prevent windows from being skipped in seamless mode KDE guests (bugs #1681 and #3574)
  * X11 guests: fixed screen corruption in X11 guests when large amounts of video RAM were allocated (bug #4430)
  * X11 guests: some fixes when switching between host and guest-drawn mouse pointers.
  * X11 guests: fixed an issue which caused seamless mode to stop working as it should (the main issue listed in bug #2238).
* Mon Aug  3 2009 mseben@suse.cz
- drop qt3-devel-tools,libmudflap-32bit from BuildRequires
* Thu Jul 30 2009 mseben@suse.cz
- enable generated data for SaX
- added mountvboxsf, VBoxControl, VBoxService to guest-tools
- disable chown of device in vboxadd init script in guest-tools subpackage (bnc#507835)
* Mon Jul 13 2009 mseben@suse.cz
- updated to 3.0.2
  * VMM: fixed network regressions (guest hangs during network IO) (bug #4343)
  * VMM: guest SMP performance improvements
  * VMM: fixed hangs and poor performance with Kaspersky Internet Security (VT-x/AMD-V only; bug #1778)
  * VMM: fixed crashes when executing certain Linux guests (software virtualization only; bugs #2696 & #3868)
  * ACPI: fixed Windows 2000 kernel hangs with IO-APIC enabled (bug #4348)
  * APIC: fixed high idle load for certain Linux guests (3.0 regression)
  * BIOS: properly handle Ctrl-Alt-Del in real mode
  * iSCSI: fixed configuration parsing (bug #4236)
  * OVF: fix potential confusion when exporting networks
  * OVF: compatibility fix (bug #4452)
  * NAT: fixed crashes under certain circumstances (bug #4330)
  * 3D support: fixed dynamic linking on Solaris/OpenSolaris guests (bug #4399)
  * 3D support: fixed incorrect context/window tracking for multithreaded apps
  * Shared Folders: fixed loading from saved state (bug #1595)
  * Shared Folders: host file permissions set to 0400 with Windows guest (bug #4381)
  * X11 host and guest clipboard: fixed a number of issues, including bug #4380 and #4344
  * X11 Additions: fixed some issues with seamless windows in X11 guests (bug #3727)
  * Linux hosts: workaround for buggy graphics drivers showing a black VM window on recent distributions (bug #4335)
  * Linux hosts: fixed typo in kernel module startup script (bug #4388)
  * OVF: accept ovf:/disk/ specifiers with a single slash in addition to ovf://disk/ (bug #4452)
  * Fixed a settings file conversion bug which sometimes caused hardware acceleration to be enabled
- drop vbox-ose-rpmlintrc
* Wed Jul  1 2009 mseben@suse.cz
- updated to 3.0.0, major new features were added:
  * Guest SMP with up to 32 virtual CPUs (VT-x and AMD-V only)
  * Windows guests: ability to use Direct3D 8/9 applications / games (experimental)
  * Support for OpenGL 2.0 for Windows, Linux and Solaris guests
- deprecated : 64issue.diff , validate-op-gcc43.diff and increment.diff
- disabled Makefile-vboxadd,Makefile-vboxnetflt and Makefile-vboxvfs
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Wed Jun 17 2009 mseben@suse.cz
- updated to 3.0.0_BETA_2, major new features were added:
  * Guest SMP with up to 32 virtual CPUs (VT-x and AMD-V only)
  * Windows guests: ability to use Direct3D 8/9 applications / games (experimental)
  * Support for OpenGL 2.0 for Windows, Linux and Solaris guests
- deprecated : 64issue.diff , validate-op-gcc43.diff and increment.diff
- disabled Makefile-vboxadd,Makefile-vboxnetflt and Makefile-vboxvfs
* Tue Jun  9 2009 coolo@novell.com
- Replace pmtools with acpica package required for building.
  pmtools package gets split into acpica and dmidecode,
  pmtools will be dropped.
* Thu Jun  4 2009 mseben@suse.cz
- added patch increment.diff : same variable used twiceand post
  incremented in the same expression in dnsproxy.c
* Mon Jun  1 2009 mseben@suse.cz
- updated to 2.2.4
  * Solaris hosts: make it work with Solaris build 114 or later (bug #3981)
  * Solaris hosts: ﬁxed a bug serial port character handling found during loopback (bug #3120)
  * Linux hosts: adapted vboxdrv.sh to the latest changes in VBoxManage list runningvms (bug #4034)
  * Windows hosts: ﬁxed a crash caused by host-only/bridged networking
  * Mac OS X hosts: ﬁxed access to host DVD with passthrough disabled (bug #4077)
  * Guest Additions: ﬁxed problems with KDE 4 not recognizing mouse clicks
  * Windows Additions: ﬁxed incorrect 8-bit guest color depth in Windows 7 guests
  * GUI: warn if VT-x/AMD-V could not be enabled for guests that require this setting (bug #4055)
  * VMM: ﬁxed occassional crash due to insufﬁent memory
  * VMM: ﬁxed hanging 64 bits Solaris guests
  * VMM: restore from a saved state occassionally failed (bugs #3984 and #2742)
  * Clipboard: ﬁxed a deadlock while shutting down the shared clipboard on X11 hosts (bug #4020)
  * OVF: ﬁxed potential hang during import
  * OVF: ﬁxed potential crashes during import/export on Win64 hosts
  * VBoxManage modifyhd --compact: ﬁxed bug which could lead to crashes and image corruption (bug #3864)
  * VBoxManage metrics collect: now ﬂushes the output stream.
  * VHD: made VBoxManage internalcommands sethduuid work for .vhd ﬁles (bug #3443)
  * VHD: some .vhd ﬁles could not be cloned (bug #4080)
  * VMDK: ﬁxed creating snapshots
  * NAT: improvement of TCP connection establisment (bug #2987)
  * NAT: ﬁxed order of DNS servers in DHCP lease (bug #4091)
  * NAT: ﬁxed DHCP lease for multiple name servers (bug #3692)
  * NAT: ﬁxed a potential segfault if the host lost its connectivity (bug #3964)
  * Shared Folders: deny access to parent directories on Windows hosts (bug #4090)
  * Shared Folders: make rm/rmdir work with Solaris guests on Windows hosts
  * Networking: ﬁxed the problem with blocked receiving thread when a broadcast packet arrives too early
  to be handled by uninitialized e1000 adapter.
  * Networking: ﬁxed the problem that caused host freezes/crashes when using bridged mode with host’s
    interface having RX checksum ofﬂoading on (bug #3926 and related). Fixes problems with TX ofﬂoading as well (bug #3870)
  * PXE boot: Added support for PRO/1000 MT Server adapter.
  * Python bindings: ﬁxed keyword conﬂict
  * SCSI: ﬁxed occasional crashes on Win64
  * Serial: allow to redirect the serial port to a raw ﬁle (bug #1023)
  * VRDP: ﬁxed a rare incorrect screen update
* Fri May 29 2009 mseben@suse.cz
- included proper version of vboxmouse_drv and vboxvideo_drv in
  xorg-x11-driver (bnc#507839)
* Mon May 25 2009 coolo@suse.de
- fix %%endif
* Sat May 23 2009 coolo@suse.de
- switch to gcc44
* Thu May  7 2009 mseben@suse.cz
- fixed ose-init-scripts.diff : don't use vboxusers group for
  /dev/vboxdrv (bnc#429725)
* Thu May  7 2009 dmueller@suse.de
- make sure that the kmp is also updated at the same time
  like the main module, otherwise bad things will happen
* Tue May  5 2009 dmueller@suse.de
- fix build for older distros
* Wed Apr 29 2009 mseben@suse.cz
- updated to 2.2.2
  * Host and guest clipboard: ﬁxed a number of issues affecting hosts and guests running the X window system.
  * Guest Additions: make sure the virtual mouse autodetection works on ﬁrst reboot after installing the Additions on X.Org server 1.5 and later.
  * Guest Additions: properly report process identity number of running services
  * Guest Additions: clean up properly if the X Window server terminates
  * Linux Additions: ﬁxed installation path for OpenGL libraries in some 64-bit guests (bug #3693)
  * Solaris Additions: ﬁxed installation to work when X.Org is not installed on the guest
  * Solaris Additions: ﬁxed a bug that could panic the guest when unmounting a busy shared folder
  * Windows Additions: ﬁxed mouse pointer integration of some Windows guests (2.2.0 regression, bug #3734)
  * Windows Additions: ﬁxed installation on Windows Server 2008 Core (bug #2628)
  * Main: do not try to use older versions of D-Bus (Linux hosts only, bug #3732)
  * VMM: ﬁxed out-of-memory conditions on Windows hosts (bug #3657)
  * VMM: ﬁxed occasional hangs when attaching USB devices during VM startup (2.2.0 regression; bugs #3787)
  * VMM: ﬁxed guru meditation related to memory management (software virtualization only)
  * Virtual disks: ﬁx possible data corruption when writing to diff images, incorrect detection of redundant writes
  * GUI: reworked network settings dialog
  * GUI: properly show the detailed settings dialog of NAT networks (bug #3702)
  * GUI: HostKey could not be changed (2.2.0 regression, bug #3689)
  * GUI: ﬁxed memory textﬁeld size (Windows hosts only; bug #3679)
  * GUI: ﬁxed crash when selecting a shared folder path (Windows hosts only; bugs #3694, #3751, #3756)
  * VBoxManage modifyhd --compact: implemented again for VDI ﬁles, and now supports relative paths (bug #2180, #2833)
  * VBoxManage snapshot discard: made it work again (2.1.0 regression; bug #3714)
  * NAT: ﬁxed release assertion during poll() (bug #3667)
  * Clipboard: ﬁxed random crahes (X11 hosts only, bug #3723)
  * Shared Folders: ﬁxed incorrect permissions for Solaris guests
  * Shared Folders: ﬁxed wrong ﬁle sizes with Solaris guests
  * CBindings: ﬁxed possible memory leak while releasing the IVirtualBox and ISession Objects
  * Solaris hosts: ﬁxed host-only network interface incompatibility with nwam/dhcpagent (bug #3754)
* Mon Apr 20 2009 mseben@suse.cz
- updated to 2.2.0
  * VMM: FreeBSD guest related ﬁx for V86 ﬂags (bug #2342)
  * VMM: ﬁxed guru meditation when booting an AsteriskNow Linux VM (bug #2342)
  * VMM: ﬁxed PGMPOOLKIND_FREE guru meditation (bugs #3356, #3431)
  * VMM: ﬁxed Windows XP boot hang (guest PAE + nested paging only)
  * VMM: allow mixing of VT-x/AMD-V and software virtualization
  * VMM: ﬁxed extremely slow safe mode booting in e.g. Windows 2008 (VT-x/AMD-V only)
  * VMM: signiﬁcant speedup of certain GRUB boot loaders (e.g. Solaris) (VT-x/AMD-V only)
  * VMM: real-mode IOPL ﬁx for DOS guests (VT-x only)
  * VMM: ﬁxed VT-x detection with certain BIOSes that enable VT-x, but don’t set the lock bit in MSR_IA32_FEATURE_CONTROL
  * VMM: ﬁxed hibernation issues on Windows XP hosts (VT-x only; bug #1794)
  * VMM: properly emulate RDMSR from the TSC MSR, should ﬁx some NetBSD guests
  * VMM: emulate RDPMC; ﬁxes Windows guests crashes when using the Kaspersky virus scanner (bug #1778)
  * NAT: ﬁxed truncated downloads (FTP) (bug #3257)
  * NAT: blocked UDP packets caused a crash (bug #3426)
  * NAT: allow to conﬁgure the next server and the boot ﬁle via VBoxManage (bug #2759)
  * IDE: ﬁxed hard disk upgrade from XML-1.2 settings (bug #1518)
  * Hard disk: support more VMDK ﬁle variants (including ﬁxed-size ESX server images)
  * Hard disks: refuse to start the VM if a disk image is not writable
  * USB: further reduced host CPU utilization for OHCI and EHCI
  * USB: ﬁxed BSOD on the host with certain USB devices (Windows hosts only; bug #1654)
  * E1000: properly handle cable disconnects (bug #3421)
  * VRDP: ﬁxed hangs when VRDP server is enabled or disabled in runtime
  * Shared folders: respect umask settings on Linux, OSX and Solaris hosts when creating ﬁles
  * X11 guests: prevented setting the locale in vboxmouse, as this caused problems with Turkish locales (bug #3563)
  * X11 guests: show the guest mouse pointer at the right position if the virtual desktop is larger than the guest resolution (bug #2306)
  * Linux additions: ﬁxed typo when detecting Xorg 1.6 (bug #3555)
  * Solaris guests: added xpg4/xcu4 dependency to the guest additions installer (bug #3524)
  * Windows guests: bind the VBoxMouse.sys ﬁlter driver to the correct guest pointing device (bug #1324)
  * Windows hosts: ﬁxed BSOD when starting a VM with enabled host interface (bug #3414)
  * Linux hosts: do proper reference counting to prevent unloading the vboxnetﬂt module as long as this code is in use (bug #3104)
  * Linux hosts: do not leave zombies of VBoxSysInfo.sh (bug #3586)
  * Linux installers: ﬁxes for Slackware, Arch Linux and Linux from Scratch systems
  * Windows installers: combined installer executable which contains both (32- and 64-bit) architectures.
  * VBoxManage: less cryptic command-line error messages
  * VBoxManage list vms commands now default to compact format
  * VBoxManage controlvm dvdattach did not work if the image was attached before
  * VBoxManage: allow creation of all supported disk image variants
  * VBoxManage showvminfo: don’t spam the release log if the additions don’t support statistics information (bug #3457)
  * VBoxManage: big command line processing cleanup
  * Hard disks: improved immutable disk support to auto-reset diff ﬁle at VM startup (related to bug #2772)
  * GUI: enable the audio adapter by default for new VMs
  * GUI: warn if VT-x/AMD-V is not operational when starting a 64-bit guest
  * GUI: deactivate 64-bit guest support when the host CPU does not support VT-x/AMD-V
  * GUI: removed ﬂoppy icon from the status bar
  * GUI: show build revision in about dialog
  * GUI: ﬁxed sticky status bar text
  * GUI: improved error dialogs
  * GUI: fail with an appropriate error message when trying to boot a read-only disk image (bug #1745)
  * GUI/Mac OS X: ﬁxed disabled close button
  * GUI/Windows: re-enabled support for copy and paste (Windows hosts 2.0 regression; bug #2065)
  * 3D support: added OpenGL select/feedback support (bug #2920)
  * 3D support: close OpenGL subsystem for terminated guest applications (bug #3243)
  * 3D support: ﬁxed VM hangs when starting guests with 3D acceleration enabled (bug #3437)
  * PXE: ﬁxed boot hangs when hardware virtualization is used (bug #2536)
  * LsiLogic: ﬁxed problems with Solaris guests
  * Main API: close machine settings XML ﬁle when unregistering machine (bug #3548)
* Wed Apr 15 2009 ro@suse.de
- drop xalan/xerces from buildrequires, not used
* Fri Feb 27 2009 dmueller@suse.de
- merge into Factory
* Fri Feb 27 2009 suse-tux@gmx.de
- added Patch18 (vbox-swab_2.6.29_header.diff) which disables vbox's swab.h file
  and uses the one which is shipped with the recent linux-kernel-headers package
  (former versions of this file weren't c++ compatible). Fixed factory build.
* Wed Feb 25 2009 suse-tux@gmx.de
- removed the networking part from the README.SUSE file. There's no need
  to create a bridge anymore.
* Tue Feb 24 2009 dmueller@suse.de
- merge with factory
* Tue Feb 24 2009 suse-tux@gmx.de
- new upstream version 2.1.4
- updated Patch16 (virtualbox-ose-disable-updates.diff)
* Wed Feb 11 2009 dmueller@suse.de
- use the external yasm again instead of an intree
  binary blob
- remove intree binary blob (licensing issues)
* Wed Feb  4 2009 dmueller@suse.de
- gcc41 is no longer required for building
* Mon Feb  2 2009 mkudlvasr@suse.cz
- merge with openSUSE factory
- create tmp dir primary based on uid, then env (bnc#427266)
* Thu Jan 29 2009 suse-tux@gmx.de
- added BuildRequires: udev in order to make rpmlint happy
* Thu Jan 29 2009 suse-tux@gmx.de
- new upstream version 2.1.2
- updated virtualbox-ose-init-scripts.diff
- build everything with gcc43
* Thu Jan 22 2009 dmueller@suse.de
- merge with openSUSE factory
* Wed Jan  7 2009 suse-tux@gmx.de
- fixed #463822 (wrapper scripts ignored arguments)
* Sat Jan  3 2009 suse-tux@gmx.de
- finally fixed build of vboxvfs (it seems that this was never working) so that modprobe
  doesn't complain about unknown symbols
- fixed vboxadd-timesync init script ("status")
* Sat Jan  3 2009 suse-tux@gmx.de
- yet another x86_64 fix (no VBoxREM2.rel anymore due to the new recompiler)
* Sat Jan  3 2009 suse-tux@gmx.de
- fixed vboxvfs on x86_64 (updated and enabled Patch3 (vbox-kmp-vboxvfs.diff))
- renamed %%%%{_sbindir}/mountvboxsf to /sbin/mount.vboxsf
* Mon Dec 29 2008 suse-tux@gmx.de
- new upstream version 2.1.0
- build the complete source with gcc43 (except the recompiler stuff) in order
  to avoid weird linking errors
- the vboxvfs init script was removed because vboxvfs depends on vboxadd so
  it is merged in one script (rcvboxadd)
- the vboxnet init script and the VBoxAddIF/VBoxDeleteIF scripts were removed
  because the TUN/TAP stuff is replaced with the new networking implementation
- don't ship the vditools binary anymore because it is declared as obsolete
- disabled Patch3 (vbox-kmp-vboxvfs.diff)
- disabled Patch15 (vbox-configure_python26.diff)
- added Source11 (Makefile-vboxnetflt)
- updated %%%%preun and %%%%postun scripts for the guest-tools package
- enabled vboxadd-timesync by default
- fixed init scripts
* Tue Dec  2 2008 mkudlvasr@suse.cz
- disable dialog for upstream update [bnc#449099]
* Sat Nov 29 2008 dmueller@suse.de
- add missing requires to make seamless mouse integration work
* Tue Nov 25 2008 lnussel@suse.de
- fix permissions handling (bnc#429725)
- fix permissions of /dev/vboxdrv (bnc#429725)
- don't use %%_libdir for binaries
* Mon Nov 24 2008 dmueller@suse.de
- 2.0.6 update (bnc#448240):
  * VMM: ﬁxed Guru meditation when running 64 bits Windows guests (bug #2220)
  * VMM: ﬁxed Solaris 10U6 boot hangs (VT-x and AMD-V) bug #2565)
  * VMM: ﬁxed Solaris 10U6 reboot hangs (AMD-V only; bug #2565)
  * GUI: the host key was sometimes not properly displayed (Windows hosts only, bug #1996)
  * GUI: the keyboard focus was lost after minimizing and restoring the VM window via the Windows taskbar (bugs #784)
  * VBoxManage: properly show SATA disks when showing the VM information (bug #2624)
  * SATA: ﬁxed access if the buffer size is not sector-aligned (bug #2024)
  * SATA: improved performance
  * SATA: ﬁxed snapshot function with ports>1 (bug #2510)
  * E1000: ﬁxed crash under rare circumstances
  * USB: ﬁxed support for iPhone and Nokia devices (Linux host: bugs #470 & #491)
  * Linux/Solaris/Darwin hosts: verify permissions in /tmp/vbox-$USER-ipc
  * Linux hosts: ﬁxed assertion on high network load (AMD64 hosts, ﬁx for Linux distributions with glibc 2.6 and newer (bug #616)
  * Linux hosts: don’t crash during shutdown with serial ports connected to a host device
  * Solaris hosts: ﬁxed incompatibility between IPSEC and host interface networking
  * Solaris hosts: ﬁxed a rare race condition while powering off VMs with host interface networking
  * Solaris hosts: ﬁxed VBoxSDL on Solaris 10 by shipping the required SDL library (bug #2475)
  * Linux additions: ﬁxed compilation of vboxvfs.ko for 64-bit guests (bug #2550)
  * SDK: added JAX-WS port caching to speedup connections
* Wed Nov 12 2008 dmueller@suse.de
- create vboxusers group in %%pre
- tighten restrictions and make factory build again
* Fri Nov  7 2008 dmueller@suse.de
- install usable permission files for the buildservice
- fix preamble again
* Wed Nov  5 2008 sndirsch@suse.de
- use the appropriate driver version of vboxvideo/vboxmouse for
  openSUSE 11.1, 11.0, 10.3 and lower (bnc #374710, bnc #438590)
* Mon Oct 27 2008 mkudlvasr@suse.cz
- add Should-Start: ypbind to rcvboxnet
- add rc symlinks for init scripts
* Mon Oct 27 2008 ro@suse.de
- do not play with permissions files on factory
* Sat Oct 25 2008 dmueller@suse.de
- update to 2.0.4:
  * VMM: better error reporting for VT-x failures
  * VMM: don’t overﬂow the release log with PATM messages (bug #1775)
  * VMM: ﬁxed save state restore in real mode (software virtualization only)
  * GUI: work around a Qt bug on Mac OS X (bug #2321)
  * GUI: properly install the Qt4 accessible plugin (bug #629)
  * SATA: error message when starting a VM with a VMDK connected to a SATA port (bug #2182)
  * SATA: ﬁxed Guru mediation when booting OpenSolaris/64; most likely applies to other guests as well (bug #2292)
  * Network: don’t crash when changing the adapter link state if no host driver is attached (bug #2333)
  * VHD: ﬁxed bug which prevents booting from VHD images bigger than 4GB (bug #2085)
  * VRDP: ﬁxed a repaint problem when the guest resolution was not equal to the client resolution
  * Clipboard: don’t crash when host service initialization takes longer than expected (Linux hosts only; bug #2001)
  * Linux hosts: handle jifﬁes counter overﬂow (VM stuck after 300 seconds of host uptime; bug #2247)
  * Solaris hosts: ﬁxed host or guest side networking going stale while using host interface networking (bug #2474)
  * Solaris hosts: added support for using unplumbed network interfaces and Crossbow Virtual Network Interfaces (VNICs) with host interface networking
  * Solaris hosts: reworked threading model improves performance for host interface networking
  * Windows additions: ﬁxed crash when accessing deep directory structures in a shared folder
  * Windows additions: improved shared folder name resolving (bug #1728)
  * Windows additions: ﬁxed Windows 2000 shutdown crash (bug #2254)
  * Windows additions: ﬁxed error code for MoveFile() if the target exists (bug #2350)
  * Linux additions: ﬁxed seek() for ﬁles bigger than 2GB (bug #2379)
  * Linux additions: support Ubuntu 8.10
  * Linux additions: clipboard ﬁxes (bug #2015)
  * Web services: improved documentation and ﬁxed example (bug #1642)
  - ------------------------------------------------------------------
* Sat Oct 25 2008 suse-tux@gmx.de
- new upstream version 2.0.4
* Fri Oct 17 2008 olh@suse.de
- add ExclusiveArch x86 x86_64
* Thu Sep 25 2008 mkudlvasr@suse.cz
- merge into openSUSE Factory
* Tue Sep 23 2008 suse-tux@gmx.de
- splitted virtualbox-permissions into virtualbox-ose.easy and virtualbox-ose.secure to
  be suse compliant
* Tue Sep 23 2008 suse-tux@gmx.de
- only apply Patch12 (vbox-buildfix) on factory
- added dir /var/run/VirtualBox (this is needed by the VBoxAddIF/VBoxDeleteIF scripts)
* Mon Sep 22 2008 mkudlvasr@suse.cz
- modified Config.kmk fix to use realpath for splited kernels
- fixed Required-Stop in init scripts
* Thu Sep 18 2008 suse-tux@gmx.de
- added Patch15 (vbox-configure_python26.diff) to detect the python installation on
  factory
* Thu Sep 18 2008 suse-tux@gmx.de
- fixed #427266 - now virtualbox uses RUNPATH instead of ORIGIN to locate the
  libs because ORIGIN seems to be broken if the hardening feature is enabled
- updated Patch3 (vbox-kmp-vboxvfs.diff) and fixed Makefile-vboxvfs (finally!)
  in order to remove undefined symbols
- create wrapper script for VBoxHeadless
* Sun Sep 14 2008 suse-tux@gmx.de
- new upstream version 2.0.2
* Sun Sep 14 2008 suse-tux@gmx.de
- disabled Patch2 (vbox-kmp-vboxadd.diff)
- updated Patch3 (vbox-kmp-vboxvfs.diff)
- fixed Makefile, Makefile-vboxadd and Makefile-vboxvfs to compile on x86_64
* Sun Sep 14 2008 suse-tux@gmx.de
- new upstream version 2.0.0
- replaced Patch14 (old: virtualbox-missing-Makefiles.diff) with vbox-kbuild_unit_paths.diff,
  this is needed because our kbuild package doesn't ship these units
- fixed Makefile, Makefile-vboxadd and Makefile-vboxvfs + some cleanups
- modified virtualbox-patch-source so that it doesn't remove the kBuild/units dir
- added Source9 (virtualbox-permissions) because we can't ship suid binaries
* Thu Sep 11 2008 mkudlvasr@suse.cz
- new upstream version 1.6.6
- removed Patch14 - not needed any more
- added rc-symlinks to init scripts
- fixed Config.kmk
* Mon Sep  8 2008 dmueller@suse.de
- merge into openSUSE Factory
* Sat Aug  9 2008 suse-tux@gmx.de
- new upstream version 1.6.4
- added Patch14 (virtualbox-missing-Makefiles.diff) because some Makefiles are missing
  (Makefiles are taken from http://article.gmane.org/gmane.comp.emulators.virtualbox.devel/706)
* Wed Jun 25 2008 dmueller@suse.de
- merged factory and OBS package
* Fri Jun 13 2008 suse-tux@gmx.de
- new upstream version 1.6.2
- updated Patch12 (vbox-buildfix) and Patch13 (virtualbox-use-intree-yasm.diff)
* Tue Jun 10 2008 mkudlvasr@suse.cz
- add -y option to %%fillup_and_insserv macro (bnc#391878)
* Thu May 15 2008 dmueller@suse.de
- readd Enhances (bnc#390333)
* Thu May  8 2008 ro@suse.de
- subpackage needs to be virtualbox-ose-KMP (not -kmp)
* Mon May  5 2008 suse-tux@gmx.de
- enabled Patch2 (vbox-kmp-vboxadd.diff) and Patch3 (vbox-kmp-vboxvfs.diff) again. They're
  needed for x86_64 builds. Updated both patches and the parts for the Makefile.module are
  removed now because we don't need them.
* Mon May  5 2008 suse-tux@gmx.de
- fixed Makefile, Makefile-vboxadd and Makefile-vboxvfs
- added "BuildRequires: xorg-x11-libXext-devel-32bit xorg-x11-libXmu-devel-32bit"
  to build on x86_64
* Mon May  5 2008 suse-tux@gmx.de
- new upstream version 1.6.0
- added libxml2-devel libxslt-devel to the BuildRequires
- added configuration file %%%%{_sysconfdir}/vbox/vbox.cfg
- added x11restore.pl to the guest-tools package
- the former vboxadd-xclient is now called VBoxClient
- disabled Patch2 (vbox-kmp-vboxadd.diff) and Patch3 (vbox-kmp-vboxvfs.diff); they seem to be superfluous
- disabled Patch11 (vbox-vboxfs-2.6.25); everything is fixed in this release
- updated other patches:
  * Patch10 (vbox-2.6.25): the vfsmod.c stuff is fixed
  * Patch4 (virtualbox-ose-init-scripts.diff): removed patches for vboxadd.sh and vboxvfs.sh + minor fix
  * some of the other patches were updated to apply flawlessly
- other minor spec file fixes
- adapted virtualbox-patch-source script so that it still works if the dir in the tarball differs from "basename tarball"
  (VirtualBox-1.6.0-OSE != VirtualBox-1.6.0_OSE)
* Fri May  2 2008 dmueller@suse.de
- fix supplements generation (bnc#384084)
* Wed Apr 30 2008 mkudlvasr@suse.cz
- add enhances statements for kmp. fixes [bnc #384084]
* Sun Apr 27 2008 mkudlvasr@suse.cz
- remove sax configuration according to [bnc#374710]
- activate init scripts by default
- solve vboxadd-xclient and vboxadd-timesync file conflict
  (they were packaged also in virtualbox-ose by mistake)
- added networking configuration into README.SUSE
* Mon Apr 14 2008 dmueller@suse.de
- remove the full tarball (bnc#270552)
* Mon Apr  7 2008 dmueller@suse.de
- revert revert of of kbuild package instead of precompiled binaries
- add patch to always use in-tree yasm
* Sun Apr  6 2008 bwalle@suse.de
- revert of of kbuild package instead of precompiled binaries
  since it didn't work in Factory
- revert removal of precompiled binaries from the tarball since
  it didn't work in Factory
- fix build on 2.6.25
* Wed Apr  2 2008 dmueller@suse.de
- use kbuild package instead of precompiled binaries in tarball
- remove precompiled binaries from the tarball
* Mon Mar 10 2008 mkudlvasr@suse.cz
- add init scripts for guest tools and x11 configuration script
- update README.suse
* Thu Feb 28 2008 dmueller@suse.de
- merge factory and buildservice packages
* Wed Feb 27 2008 mkudlvasr@suse.cz
- created symlink to VBoxTunctl in /usr/bin. VBoxAddIf should work ok now
* Tue Feb 26 2008 mkudlvasr@suse.cz
- re-added script which strips unneded parts of code [bug 270552]
* Tue Feb 26 2008 suse-tux@gmx.de
- new upstream version 1.5.6
- fixed Makefile for building the vboxdrv module
* Thu Feb 21 2008 suse-tux@gmx.de
- fixed Requires for the guest-tools (typo which was due to the rename)
- minor spec fixes (replaced some hardcoded paths with the corresponding rpm macros)
* Wed Feb 20 2008 dmueller@suse.de
- fix factory/x86_64 buildrequires
* Fri Feb 15 2008 dmueller@suse.de
- rename xorg-x11-driver-virtualbox to xorg-x11-driver-virtualbox-ose
* Wed Feb 13 2008 dmueller@suse.de
- go back to gcc 4.1 for Factory, otherwise it does not work
* Tue Feb 12 2008 dmueller@suse.de
- rename to virtualbox-ose
- add patch for gcc 4.3 compile failure
* Fri Feb  8 2008 suse-tux@gmx.de
- updated virtualbox-init-script: removed check for the existence of the kernel-module (again)
* Mon Feb  4 2008 sndirsch@suse.de
- xorg-x11-driver-virtualbox: install package by default in
  virtualbox (Supplements tag); added SaX2/hwinfo data files
  (Bug #358460)
* Thu Jan 31 2008 suse-tux@gmx.de
- added language support
* Mon Jan 28 2008 suse-tux@gmx.de
- enabled Patch2 and Patch3 again - otherwise we cannot build on
  x86_64
- updated Makefile-vboxadd and Makefile-vboxvfs to build on x86_64
* Sun Jan 27 2008 suse-tux@gmx.de
- updated Makefile-vboxadd and Makefile-vboxvfs (minor fixes)
- updated virtualbox-init-script.diff: enabled check if the kernel module exists
- updated virtualbox-gcc43-fixes.diff: most of it is fixed upstream
- disabled Patch2, Patch3 and Patch5 in the spec file:
  Patch2: vbox-kmp-vboxadd.diff: this patch shouldn't be needed anymore
  Patch3: vbox-kmp-vboxvfs.diff: this patch shouldn't be needed anymore
  Patch5: virtualbox-kernel-2.6.24.diff: this is fixed upstream
- some spec file cleanups
- updated to version 1.5.4
  * USB 2.0 support
  * PulseAudio backend
  * GUI: fixed accelerators in German translation
  * GUI: fixed registration dialog crashes
  * GUI: allow to enter unicode characters to the name of the registration dialog
  * GUI: pre-select attached media in the disk manager when opened from the VM settings dialog
  * GUI: remember the last active VM
  * GUI: don't accept empty paths for serial/parallel ports in XML
  * GUI: fixed NumLock / CapsLock synchronizazion on Windows hosts
  * GUI: don't start the kernel timer if no VM is active (Linux host)
  * VMM: improved compatibility with FreeBSD guests
  * VMM: properly restore CR4 after leaving VT-x mode
  * VMM: patch code and disassembler updates
  * VMM: with VT-x a pending interrupt could be cleared behind our back
  * VMM: workaround for missed cpuid patch (some Linux guests refuse to boot on multi-core CPUs)
  * VMM: fixed code for overriding CPUID values
  * API: don't crash when trying to create a VM with a duplicate name
  * API: don't crash when trying to access the settings of a VM when some other VMs are not accessible
  * API: fixed several memory leaks
  * ATA/IDE: fixed SuSE 9.1 CD read installer regression
  * Floppy: fixed inverted write protect flag
  * USB: virtualize an EHCI controller
  * USB: several minor fixes
  * Network: fixed MAC address check
  * Network: host interface fixes for Solaris guests
  * Network: guest networking stopped completely after taking a snapshot
  * Network: don't crash if a network card is enabled but not attached
  * PXE: fix for PXE-EC8 error on soft reboot
  * NAT: update the DNS server IP address on every DNS packet sent by the guest
  * VGA: reset VRAM access handers after a fullscreen update
  * VGA: don't overwrite guest's VRAM when displaying a blank screen
  * ACPI: implemented the sleep button event
  * VRDP: fixed crash when querying VRDP properties
  * VRDP: netAddress fixes
  * VRDP: fixed the Pause/Break keys over VRDP
  * VRDP: sync NumLock / CapsLock sync over VRDP
  * VRDP: workaround for scrambled icons with a guest video mode of 16bpp
  * VRDP: reset modifer keys on RDP_INPUT_SYNCHRONIZE
  * VRDP: reset RDP updates after resize to prevent obsolete updates
  * Clipboard: Windows host/guest fixes
  * Clipboard: fixed a SEGFAULT on VM exit (Linux host)
  * Clipboard: fixed a buffer overflow (Linux host)
  * Shared Folders: fixed memory leaks
  * Linux installer: remove the old kernel module before compiling a new one
  * Linux host: compatibility fixes with Linux 2.6.24
  * Linux host: script fixes for ArchLinux
  * Linux host: load correct HAL library to determine DVD/Floppy (libhal.so.1 not libhal.so)
  * Linux host: make sure the tun kernel module is loaded before initializing static TAP interfaces
  * Windows additions: fixed hang during HGCM communication
  * Windows additions: fixed delay when shutting down the guest
  * Linux additions: added sendfile support to allow HTTP servers to send files on shared folders
  * Linux additions: make additions work with Fedora 8 (SELinux policy added)
  * Linux additions: sometimes ARGB pointers were display incorrectly
  * Linux additions: several small script fixes
* Tue Dec 11 2007 anschneider@suse.de
- Add VBoxAddIF and VBoxDeleteIF scripts
* Fri Nov 30 2007 anschneider@suse.de
- Fix kmp requriement
* Thu Nov 29 2007 anschneider@suse.de
- Fixes that virtualbox compiles with gcc 4.3
  * virtualbox-gcc43-fixes.diff
  * virtualbox-validate-op-gcc43.diff
* Wed Nov 28 2007 anschneider@suse.de
- Require the same version for the kmp module as the package self.
- Fix conflicts with Kernel 2.6.24
  * virtualbox-kernel-2.6.24.diff
* Wed Nov 21 2007 ro@suse.de
- buildreq: gcc-42 -> gcc-43
* Fri Nov  2 2007 suse-tux@gmx.de
- Added own Makefiles for the kernel modules (vboxvfs seems
  to be broken though)
* Thu Nov  1 2007 mkudlvasr@suse.cz
- added init scripts for starting kernel module. fixes [bug 328887]
- disabled stripping of VBoxREM2.rel . fixes [bug 307722]
- updating to 1.5.2 fixes [bug 335734]
* Sun Oct 28 2007 anschneider@suse.de
- Added xorg-x11 drivers for mouse and video
- Added kernel moduels for guest systems
- Added guest tools for mounting shares, syncing the time and sharing
  the clipboard
* Sun Oct 28 2007 anschneider@suse.de
- updated to version 1.5.2
  * Windows Installer: fixed installation on Windows 2000 hosts
  * Windows Installer: proper warning when installing a 32-bit VirtualBox
    version on 64-bit Windows and vice versa
  * Linux Installer: no longer require license acceptance during install,
    instead at first GUI startup (addresses issues with hanging installer
    on Debian based distributions)
  * GUI: added user registration dialog
  * GUI: fixed crashes on 64-bit Linux hosts
  * GUI: several fixes and improvements to seamless mode
  * GUI: fixed DirectDraw mode with certain video cards (e.g. Intel i915)
  * GUI: fixed incorrect guest resolution after leaving fullscreen mode
  * GUI: improved keyboard handling on Linux host
  * GUI: show fatal VM aborts (aka "Guru Meditation")
  * GUI: fixed crashes due to a display update race condition on some systems
  * GUI: added ACPI shutdown option to the VM close dialog
  * GUI: NLS improvements
  * BIOS: fixed floppy boot menu
  * BIOS: expose the VM UUID in the DMI/SMBIOS area
  * VGA: fixed CGA video modes
  * VGA: fixed 8-bit DAC handling (Solaris setup)
  * VMM: fixed issue with VT-x on Windows 64-bit hosts
  * VMM: improved compatibility with Linux KVM
  * VMM: fixed issues with Fedora 8 guests
  * VMM: fixed fatal errors while installing Windows guests when using AMD-V
  * VMM: fixed sporadic hangs when minimizing VM window and using VT-x/AMD-V
  * VMM: fixed high load of ksoftirq on tickless Linux hosts
  * VMM: fixed Windows 2000 guests hangs related to IRQ sharing
  * VMM: fixed sporadic errors during openSUSE 10.3 installation
  * VMM: fixed issue with Linux 2.6.23 guests
  * VMM: fixed issues with Solaris guests
  * VMM: fixed stability issue related to incorrect relocations
  * Serial: significantly reduced CPU utilization
  * Network: fixed issues with FreeBSD guests
  * Network: added MII support (100MBit detection fix)
  * Network: improved MAC address handling
  * Network: added PXE release logging
  * IDE: large reads from CD could exceed the I/O buffer size
  * Audio: load ALSA dynamically on Linux (i.e. do not fail when ALSA is not
    present)
  * VRDP: support additional RDP clients (SunRay, WinConnect, Mac OS X)
  * VRDP: fixed issues when client color depth is higher than server color depth
  * VRDP: make PAM authentication service name configurable
  * VRDP: increased stack size to deal with stack consuming PAM library calls
  * Additions: various fixes and enhancements to clipboard handling
  * Windows Additions: fixed issues with Additions on NT 4 guests
  * Windows Additions: added support for 8-bit video modes
  * Windows Additions: allow specifying custom resolutions for secondary screens
  * Windows Additions: several fixes and improvements for DirectDraw
  * Windows Additions: improved the mouse filter driver compatibility with other
    mouse drivers
  * Linux Additions: several fixes and enhancements to Shared Folders
  * Linux Additions: added support for X.org Server 1.4
  * Shared folders: fixed MS Powerpoint access issues (Linux host)
  * API: fixed RPC_E_CHANGED_MODE startup error on Windows hosts
  * API: fixed SMP race condition on Linux hosts
  * API: fixed stability issues on Windows hosts in low memory conditions
* Thu Sep  6 2007 mvyskocil@suse.de
- updated to version 1.5.0
  * Major: Seamless windows
  * Major: Virtual serial ports
  * Major: Intel PXE 2.1 network boot
  * GUI: sometimes two mouse cursors were visible when Windows guest additions became active
  * GUI: added VT-x/AMD-V settings
  * GUI: disable 'Show log...' menu entry to prevent crash if VM list is empty
  * GUI: the log window grabbed the keyboard
  * GUI: fixed error handling if Linux host clipboard initialization fails
  * GUI: pass the Pause key and the PrtScrn key to the guest (Linux hosts)
  * GUI: increased maximum guest RAM to 2 GB (Windows host)
  * GUI: improved rendering performance (Windows host)
  * GUI: status lights for USB and shared folders
  * GUI: properly respect the DISPLAY environment variable
  * GUI: download Guest Additions from virtualbox.org in case they are not present locally
  * VRDP: support for multimonitor configurations in Windows guests
  * VRDP: support for MS RDP6 and MS RDP Mac clients
  * VRDP: added support for WinConnect RDP client
  * VRDP: performance improvements
  * VRDP: fixed sporadic client disconnects
  * VBoxManage: never delete existing target during clonevdi
  * VBoxManage: properly print the size of currently used hard disks
  * VMM: fixed Xandros Desktop 4.1 hang
  * VMM: fixed VT-x/AMD-V hang with newer versions of gcc (Linux hosts)
  * VMM: improved stability of VT-x
  * VMM: check for disabled AMD-V when detecting support
  * VMM: fixed AMD-V issue when running OS/2 guests
  * VMM: fixed application startup regressions (e.g. VideoReDo)
  * VMM: fixed regression that broke disk access in OS/2 and OpenBSD guests (possibly much more)
  * VMM: fixed crashes if memory allocation failed (Linux)
  * VMM: fixed enabling of Local APIC on AMD hosts (fixed Ubuntu Feisty installation kernel hang during boot)
  * VMM: fixed XFree86 4.3 (Debian/Sarge) segfaults when switching to text mode
  * VMM: refuse to start when KVM is active (Linux Host)
  * VMM: fixed bootup hangs with ReactOS
  * VMM: fixed out-of-memory errors under certain environments with enough appropriate memory available
  * API: fixed occassional crashes of the VBoxSVC server during VM shutdown (Linux host)
  * API: some components were not notified when mounting a CD/DVD
  * VMDK: improve geometry compatibility with existing VDMK images
  * IDE/Floppy: optionally make non-available host device non-fatal
  * IDE: improve emulation accuracy of the IRQ line between master and slave drive
  * IDE: guest could freeze when unmounting the CD/DVD drive
  * VGA: several text mode fixes in particular with Windows DOS boxes
  * USB: fixed some issues with Windows hosts
  * USB: fixed race condition between udev and USB filters (Linux host)
  * Shared Folders: reversed network provider order to increase mapping performance (Windows guest)
  * Shared Folders: browsable from Windows Explorer (Windows guests)
  * Shared Folders: stability fixes (Windows guest)
  * Shared Folders: case sensitivity fixes (Windows guest and Linux host)
  * Audio: fall back to the NULL audio driver if no voice could be opened
  * NAT: fixed crash
  * Guest Additions: reworked the shared clipboard for Linux hosts and guests based on user feedback about problems with individual applications
  * Guest Additions: don't allow to disable mouse pointer integration for Linux guests as an Xorg hardware mouse cursor cannot be turned into a software mouse cursor
  * Guest Additions: Linux guests shipping Xorg 1.3 (e.g. Fedora 7, Ubuntu Gutsy) are now supported
  * Guest Additions: added DirectDraw support to the Windows display driver
* Tue Aug 28 2007 mkudlvasr@suse.cz
- update to svn version (Aug 22 2007)
- new licence - FLOSS exceptions
* Mon Jun 25 2007 seife@suse.de
- fix x86_64 build
* Thu Jun 14 2007 mkudlvasr@suse.cz
- took new update from autobuild (update to version 1.4.0)
- highlights from changelog:
  * OS X supported
  * amd64 supported
  * easier networking of virtual machines
- stripping unneded parts of code [bug 270552]
* Fri May 11 2007 ro@suse.de
- use same ksrc-magic in specfile as in configure
* Mon Apr 23 2007 mkudlvasr@suse.cz
- took package from buildservice and added into autobuild
* Mon Apr 16 2007 Marcus Hüwe <suse-tux@gmx.de>
- fixed XEN problems when building x86_64 packages in the BS
- fixed BuildRequires for factory
* Sun Apr  8 2007 Marcus Hüwe <suse-tux@gmx.de>
- udate to 1.3.8
- fixed x86_64 problems; added a futex patch from mandriva
  (see  http://cvs.mandriva.com/cgi-bin/viewvc.cgi/contrib-SPECS/virtualbox/VirtualBox-OSE-1.3.4-futex.patch?view=log
  for details)
  there is still a problem because on x86_64 you cannot load the
  kernel module because of nmi_watchdog
- added Requires: virtualbox-kmp
- added a wrapper for VBoxSDL
- added an icon to the desktop file
* Sat Mar 10 2007 Marcus Hüwe <suse-tux@gmx.de>
- made it work again (i forgot to install the *.r0 and *.gc files)
* Mon Feb 26 2007 Marcus Hüwe <suse-tux@gmx.de>
- slightly modified Patch2 (patch for building on XEN hosts)
  and also modified the Patch1 a bit
- removed Patch0 (Patch0 was a USB-patch)
* Mon Feb 19 2007 Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 1.3.6
* Sat Feb 17 2007 Marcus Hüwe <suse-tux@gmx.de>
- added/removed patches
- fixed some 10.2 XEN-issues - now it builds on 10.2 again
- cleaned up spec file (removed some dirty stuff)
* Mon Feb 12 2007 Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 1.3.4
* Fri Feb  2 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
